package types

import (
	"sync"

	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type DiscoveryHistory struct {
	ID        int            `json:"id,omitempty"`
	StartDate util.Timestamp `json:"startDate"`
	EndDate   util.Timestamp `json:"endDate"`
	Result    bool           `json:"result"`
	Zone      *DiscoveryZone `json:"zone"`
}

func NewDiscoveryHistory(zone *DiscoveryZone) DiscoveryHistory {
	return DiscoveryHistory{
		Zone:      zone,
		StartDate: util.Now(),
	}
}

type DiscoveryMgr struct {
	Stop        chan bool
	DiscoveryWg *sync.WaitGroup
	Zone        *DiscoveryZone
}
