package types

import (
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type DiscoveryService struct {
	ID          int            `json:"id,omitempty"`
	CreateDate  util.Timestamp `json:"createDate,omitempty"`
	UpdateDate  util.Timestamp `json:"updateDate,omitempty"`
	Port        *DiscoveryPort `json:"-"`
	PortType    string         `json:"portType"` /*tls or normal*/
	ServiceName string         `json:"serviceName"`

	Target bool `json:"target,omitempty"`
}

func NewService(ptype string, serviceName string, port *DiscoveryPort) *DiscoveryService {
	service := &DiscoveryService{PortType: ptype, ServiceName: serviceName, Port: port}
	return service
}

const (
	DIRECTION_SEND = "Send"
	DIRECTION_RECV = "Recv"
)

type ServiceScanHistory struct {
	ID          int            `json:"id,omitempty"`
	CreateDate  util.Timestamp `json:"createDate,omitempty"`
	Port        *DiscoveryPort `json:"-"`
	ServiceName string         `json:"serviceName"`
	Direction   string         `json:"direction"`
	Packet      []byte         `json:"packet"`
}

func NewServiceScanHistory(port *DiscoveryPort, serviceName string, direction string, packet []byte) *ServiceScanHistory {
	return &ServiceScanHistory{
		CreateDate:  util.Now(),
		Port:        port,
		ServiceName: serviceName,
		Direction:   direction,
		Packet:      packet,
	}
}
